;**********************************************
; Descrizione : visualizza il database
;               del disegno per una polilinea
;
;
;
; Autore : Roberto Rossi
;**********************************************
(defun c:PrintDBPoly ( / elemento nomEnt dato)

(setq nomEnt (car(entsel "\nSelezionare polilinea : ")))
(if nomEnt  ;se  stato selezionato un oggetto procede
  (progn
    
    (setq elemento (entget nomEnt)) ;estrazione lista dell'entit
    (if (= (cdr(assoc 0 elemento)) "POLYLINE")
     (progn
      (princ "\n\nDefinizione oggetto selezionato")
      (textpage)
      (while (/= (cdr(assoc 0 elemento)) "SEQEND")
        (princ "\n\n")
        (princ elemento)
        (setq nomEnt (entnext nomEnt))
        (setq elemento (entget nomEnt))
      );endw
      (princ "\n\n")      
      (princ elemento)      
      (princ "\n\nFINE Definizione oggetto selezionato\n")
     );endp
     (progn ;else
      (alert "L'elemento indicato non  una polilinea 3D!")
     );endp
    );Endif
  );endp
  (progn
    (alert "Non  stato selezionato alcun oggetto !")
  );endp
);endif
(prin1)
);enddef 

