;********************************************************************
;Procedure   : EDMText
;Versione    : 1.0.0
;
;Autore      : Roberto Rossi
;Descrizione : questo comando permette di selezionare
;              n elementi e consente di editare i testi presenti
;              uno per volta, senza richiedere altre selezioni
;********************************************************************
(defun c:EDMText ( / gruppo elName elemento lunghezza tipo)
(princ "\nComando EDMText V.1.0.0")
(princ "\n Selezionare i testi da editare :\n")
(setq gruppo (ssget))
(if gruppo
  (progn
    (setq lunghezza (1- (sslength gruppo)))
    (while (> lunghezza -1)
      (setq elName (ssname gruppo lunghezza))
      (setq elemento (entget elName))
      (setq tipo (cdr (assoc 0 elemento)))
      (if (= tipo "TEXT")
        (progn
          (command "_DDEDIT" elName "")
        )
      )
      (setq lunghezza (1- lunghezza))
    )
  )
)

(prin1)
);enddef
